/*
 *  Copyright (C) 2009 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#ifndef __KIBA_CACHED_ICON_H__
#define __KIBA_CACHED_ICON_H__

#include <gtk/gtk.h>
#include <glib.h>
#include <cairo.h>

G_BEGIN_DECLS

typedef struct _KibaCachedIcon         KibaCachedIcon;
typedef struct _KibaCachedIconClass    KibaCachedIconClass;

#define KIBA_TYPE_CACHED_ICON           (kiba_cached_icon_get_type ())
#define KIBA_CACHED_ICON(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), KIBA_TYPE_CACHED_ICON, KibaCachedIcon))
#define KIBA_CACHED_ICON_CLASS(obj)     (G_TYPE_CHECK_CLASS_CAST ((obj), KIBA_CACHED_ICON,  KibaCachedIconClass))
#define KIBA_IS_CACHED_ICON(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), KIBA_TYPE_CACHED_ICON))
#define KIBA_IS_CACHED_ICON_CLASS(obj)  (G_TYPE_CHECK_CLASS_TYPE ((obj), KIBA_TYPE_CACHED_ICON))
#define KIBA_CACHED_ICON_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), KIBA_TYPE_CACHED_ICON, KibaCachedIconClass))

struct _KibaCachedIcon {
	GObject parent;
};

struct _KibaCachedIconClass {
	GObjectClass parent_class;
};

KibaCachedIcon*
kiba_cached_icon_new(const gchar *icon,
		cairo_t *cr);

void
kiba_cached_icon_get_surface(
	KibaCachedIcon *cicon,
	gfloat current_size,
	cairo_surface_t **surface_ret,
	gint *surface_width_ret,
	gint *surface_height_ret);

void
kiba_cached_icon_draw(
	KibaCachedIcon *cicon,
	cairo_t *cr,
	gfloat size);

G_END_DECLS

#endif
