/*
 *  Copyright (C) 2009 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#ifndef __KIBA_INFO_WIN_MANAGER_H__
#define __KIBA_INFO_WIN_MANAGER_H__

#include <gtk/gtk.h>
#include <kiba-info-win.h>

G_BEGIN_DECLS

typedef struct _KibaInfoWinManager         KibaInfoWinManager;
typedef struct _KibaInfoWinManagerClass    KibaInfoWinManagerClass;

#define KIBA_TYPE_INFO_WIN_MANAGER           (kiba_info_win_manager_get_type ())
#define KIBA_INFO_WIN_MANAGER(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), KIBA_TYPE_INFO_WIN_MANAGER, KibaInfoWinManager))
#define KIBA_INFO_WIN_MANAGER_CLASS(obj)     (G_TYPE_CHECK_CLASS_CAST ((obj), KIBA_INFO_WIN_MANAGER,  KibaInfoWinManagerClass))
#define KIBA_IS_INFO_WIN_MANAGER(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), KIBA_TYPE_INFO_WIN_MANAGER))
#define KIBA_IS_INFO_WIN_MANAGER_CLASS(obj)  (G_TYPE_CHECK_CLASS_TYPE ((obj), KIBA_TYPE_INFO_WIN_MANAGER))
#define KIBA_INFO_WIN_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), KIBA_TYPE_INFO_WIN_MANAGER, KibaInfoWinManagerClass))

struct _KibaInfoWinManager {
	GObject parent;
};

struct _KibaInfoWinManagerClass {
	GObjectClass parent_class;
	
	void (* info_win_added) (KibaInfoWinManager*, KibaInfoWin*);
	void (* info_win_removed) (KibaInfoWinManager*, KibaInfoWin*);
};

void
kiba_info_win_manager_add_window(KibaInfoWinManager* manager,
		KibaInfoWin *info_win);

KibaInfoWinManager*
kiba_info_win_manager_get();

G_END_DECLS

#endif
