/*
 *  Copyright (C) 2006-2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

/**
 * SECTION:kiba-info-win
 * @short_description: Transparent toplevel window.
 * @see_also:
 *
 * Transparent toplevel window.
 */

#ifndef __KIBA_INFO_WIN_H__
#define __KIBA_INFO_WIN_H__

#include <gtk/gtk.h>

#include <kiba-types.h>
#include <kiba-prefs.h>

#include <kiba-transparent-window.h>

G_BEGIN_DECLS

#define KIBA_TYPE_INFO_WIN           (kiba_info_win_get_type ())
#define KIBA_INFO_WIN(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), KIBA_TYPE_INFO_WIN, KibaInfoWin))
#define KIBA_INFO_WIN_CLASS(obj)     (G_TYPE_CHECK_CLASS_CAST ((obj), KIBA_INFO_WIN,  KibaInfoWinClass))
#define KIBA_IS_INFO_WIN(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), KIBA_TYPE_INFO_WIN))
#define KIBA_IS_INFO_WIN_CLASS(obj)  (G_TYPE_CHECK_CLASS_TYPE ((obj), KIBA_TYPE_INFO_WIN))
#define KIBA_INFO_WIN_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), KIBA_TYPE_INFO_WIN, KibaInfoWinClass))

#define KIBA_INFO_WIN_CHILD(win)     gtk_bin_get_child(GTK_BIN(win))

typedef struct _KibaInfoWin       KibaInfoWin;
typedef struct _KibaInfoWinClass  KibaInfoWinClass;

struct _KibaInfoWin {
	KibaTransparentWindow window;
	
	gboolean attached;
};

struct _KibaInfoWinClass {
	KibaTransparentWindowClass  parent_class;
};

GtkWidget* kiba_info_win_new (gboolean attached);

GList* kiba_info_wins_get();

KibaRGBA kiba_get_info_win_border_color ();

G_END_DECLS

#endif
