/*
 *  Copyright (C) 2006-2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#ifndef __KIBA_UTILS_H__
#define __KIBA_UTILS_H__

#include "kiba-types.h"

#include <gdk/gdk.h>
#include <glib.h>
#include <librsvg/rsvg.h>

G_BEGIN_DECLS

#define NICE_VALUE 10

gboolean
kiba_utils_recursive_mkdir (const gchar *path);

gboolean
kiba_utils_copy_file(const gchar *from_uri,
		const gchar *to_uri);

GValueArray*
kiba_utils_value_array_init (gint num_param, ...);

gint
kiba_launch_programm (const gchar *command);

gchar*
kiba_get_command_from_pid (gint pid);

guint
kiba_get_cpu_frequency(guint cpu);

void
kiba_utils_glist_scroll (GList **list,
		GdkScrollDirection direction);

gint
kiba_utils_sort_string_list (gconstpointer apointer,
		gconstpointer bpointer);

gchar*
kiba_utils_glist_to_string (GList *list);

void kiba_strdown (gchar **string);

gchar*
kiba_get_uri_for_icon(const gchar *icon,
		gint flags,
		gint size);

gboolean
kiba_load_svg (const gchar  *icon,
		RsvgHandle **handle,
		RsvgDimensionData *dimension_data);

gboolean
kiba_load_icon (const gchar *icon,
		gint size,
		GdkPixbuf **pixbuf);

G_END_DECLS

#endif
